TikTok Shop

Every Shop Performance Score metric for the shop

GET/api/public/v1/tik_tok_shop/shop_health/metrics
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id listTikTokShopHealthMetrics

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/tik_tok_shop/shop_health/metrics" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
localequerystring
organization_idqueryinteger

Responses

200Success

FieldTypeNotes
metricsarray of objectrequired
metrics[].[].benchmarksobject, nullable
metrics[].[].benchmarks.excellentThresholdstring, nullable
metrics[].[].benchmarks.poorThresholdstring, nullable
metrics[].[].dimensionstring, nullable
metrics[].[].evaluateDurationDaysinteger, nullable
metrics[].[].evaluationEndsAtstring (date-time), nullable
metrics[].[].evaluationStartsAtstring (date-time), nullable
metrics[].[].metricCodestring, nullable
metrics[].[].metricNamestring, nullable
metrics[].[].scorestring, nullable
metrics[].[].statusstring, nullable
metrics[].[].statusTextstring, nullable
metrics[].[].topReasonTextstring, nullable
metrics[].[].valuestring, nullable
metrics[].[].valueUnitstring, nullable

Example

{
  "metrics": [
    {
      "benchmarks": {
        "excellentThreshold": "string",
        "poorThreshold": "string"
      },
      "dimension": "string",
      "evaluateDurationDays": 3,
      "evaluationEndsAt": "2026-11-01T15:04:05Z",
      "evaluationStartsAt": "2026-11-01T15:04:05Z",
      "metricCode": "MAYA15",
      "metricName": "Example name",
      "score": "string",
      "status": "string",
      "statusText": "string",
      "topReasonText": "string",
      "value": "string",
      "valueUnit": "string"
    }
  ]
}

Errors: 400401403404422429502with an error and usually a message. See errors.

Example values are made up from each field's type and name.